
Summary: A library for creating MusicBrainz enabled tagging applications 
Name:	 libtunepimp
Version: 0.5.2
Release: 1%{?dist}

License: LGPL
Group: 	 System Environment/Libraries
URL:	 http://www.musicbrainz.org/products/tunepimp/
Source:	 http://ftp.musicbrainz.org/pub/musicbrainz/libtunepimp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define pkglibdir %{_libdir}/tunepimp

BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: readline-devel ncurses-devel
BuildRequires: libvorbis-devel
BuildRequires: flac-devel
BuildRequires: zlib-devel
BuildRequires: taglib-devel
BuildRequires: readline-devel ncurses-devel
BuildRequires: libmpcdec-devel

BuildRequires: libofa-devel
# These two are likely bogus (used just in examples/ ) -- Rex
BuildRequires: curl-devel
BuildRequires: expat-devel

Obsoletes: libtunepimp-tools < %{version}-%{release}
Provides:  libtunepimp-tools = %{version}-%{release}

%if "%{name}" == "libtunepimp"
Obsoletes: libtunepimp5 < %{version}-%{release}
Provides:  libtunepimp5 = %{version}-%{release}
%endif

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package devel
Summary: Headers for developing programs that will use %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%if "%{name}" == "libtunepimp"
Provides:  libtunepimp5-devel = %{version}-%{release}
%else
Conflicts: libtunepimp-devel
%endif
%description devel
%{summary}.


%prep
%setup -q -n libtunepimp-%{version}


%build
%configure \
  --disable-static \
  --disable-dependency-tracking \
  --enable-lgpl

make %{?_smp_mflags} PLUGIN_DIR=%{pkglibdir}/plugins


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT PLUGIN_DIR=%{pkglibdir}/plugins

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO 
# README omitted, it's mostly useless
%doc README.LGPL
%{_bindir}/puid
%{_libdir}/lib*.so.*
%dir %{pkglibdir}/
%dir %{pkglibdir}/plugins/
%{pkglibdir}/plugins/flac.tpp
%{pkglibdir}/plugins/mpc.tpp
%{pkglibdir}/plugins/speex.tpp
%{pkglibdir}/plugins/vorbis.tpp
%{pkglibdir}/plugins/tta.tpp
%{pkglibdir}/plugins/wav.tpp
%{pkglibdir}/plugins/wma.tpp
%{pkglibdir}/plugins/wv.tpp

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.2-1
- 0.5.2

* Tue Sep 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.1-2
- drop -tools subpkg

* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.1-1
- PLUGIN_DIR patch, fix lib64 issues, make parallel-installable
  with libtunepimp-0.4

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-3
- BR: taglib-devel, readline-devel, ncurses-devel

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-2
- 0.4.3

* Tue Jul 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-4
- BR: ncurses-devel

* Mon Jul 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-3
- drop ancient,deprecated Obsoletes/Provides: trm
- fix buffer overflow (bug #198195)
- License: LGPL, we're omitting the non-lgpl bits

* Thu Mar 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-1
- 0.4.2

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-5
- update gcc4 patch

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-4
- -tools: fix Req: %%name dependancy

* Mon Nov 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-3
- -tools: split out %%_bindir bits (to be multi-arch friendly)

* Sat Nov 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-2
- BR: libmusicbrainz -> libmusicbrainz-devel
- BR: libogg-devel -> libvorbis-devel
- BR: zlib-devel

* Thu Nov 17 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-1
- 0.4.0
- built with --enable-lgpl which omits mp3 plugin bits

* Mon Jun 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3.0-1
- gcc4 patch
- 0.3.0 (first try)

